%if 0%{?rhel} < 7 && 0%{?rhel} > 0
%global _pkgdocdir %{_docdir}/%{name}-%{version}
%endif

%global moduletype apps
%global modulename copr
%global selinuxbooleans httpd_enable_cgi=1 httpd_can_network_connect=1 httpd_can_sendmail=1 nis_enabled=1
# We can build 'mls' too, once this is resolved:
# https://github.com/fedora-selinux/selinux-policy-macros/pull/4
%global selinuxvariants targeted

Name:       copr-selinux
Version:    1.56
Release:    1.20250711194041590476.main.9.g3394c6f72%{?dist}
Summary:    SELinux module for COPR

License:    GPL-2.0-or-later
URL:        https://github.com/fedora-copr/copr

# Source is created by:
# git clone %%url && cd copr
# tito build --tgz --tag %%name-%%version-%%release
Source0:    copr-selinux-git-0.8f9f57b.tar.gz

BuildArch:  noarch
BuildRequires: asciidoc
BuildRequires: libxslt
BuildRequires:  perl

BuildRequires: selinux-policy-devel
%{?selinux_requires}


%description
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package include SELinux targeted module for COPR

%prep
%setup -q -n copr-selinux-git-0.8f9f57b


%build
# convert manages
a2x -d manpage -f manpage man/copr-selinux-enable.8.asciidoc
a2x -d manpage -f manpage man/copr-selinux-relabel.8.asciidoc

perl -i -pe 'BEGIN { $VER = join ".", grep /^\d+$/, split /\./, "%{version}.%{release}"; } s!\@\@VERSION\@\@!$VER!g;' %{modulename}.te
for selinuxvariant in %selinuxvariants; do
    make NAME=${selinuxvariant} -f %{_datadir}/selinux/devel/Makefile
    bzip2 -9 %{modulename}.pp
    mv %{modulename}.pp.bz2 %{modulename}.pp.bz2.${selinuxvariant}
    make NAME=${selinuxvariant} -f %{_datadir}/selinux/devel/Makefile clean
done


%install
for selinuxvariant in %selinuxvariants; do
    install -d %{buildroot}%{_datadir}/selinux/${selinuxvariant}
    install -p -m 644 %{modulename}.pp.bz2.${selinuxvariant} \
           %{buildroot}%{_datadir}/selinux/${selinuxvariant}/%{modulename}.pp.bz2
done
# Install SELinux interfaces
install -d %{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}
install -p -m 644 %{modulename}.if \
  %{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}/%{modulename}.if
install -d %{buildroot}%{_bindir}
install -p -m 755 %{name}-enable %{buildroot}%{_bindir}/%{name}-enable
install -p -m 755 %{name}-relabel %{buildroot}%{_bindir}/%{name}-relabel
install -d %{buildroot}%{_mandir}/man8
install -p -m 644 man/%{name}-enable.8 %{buildroot}/%{_mandir}/man8/
install -p -m 644 man/%{name}-relabel.8 %{buildroot}/%{_mandir}/man8/


%pre
for selinuxvariant in %selinuxvariants; do
  %selinux_relabel_pre -s $selinuxvariant
done


%post
for selinuxvariant in %selinuxvariants; do
  %selinux_modules_install -s $selinuxvariant %{_datadir}/selinux/${selinuxvariant}/%{modulename}.pp.bz2
  %selinux_set_booleans    -s $selinuxvariant %{selinuxbooleans}
done


%postun
for selinuxvariant in %selinuxvariants; do
  %selinux_modules_uninstall -s $selinuxvariant %{modulename}
  %selinux_unset_booleans    -s $selinuxvariant %{selinuxbooleans}
done


%posttrans
for selinuxvariant in %selinuxvariants; do
  %selinux_relabel_post -s $selinuxvariant
done


%files
%license LICENSE
%{_datadir}/selinux/*/%{modulename}.pp.bz2
# empty, do not distribute it for now
%exclude %{_datadir}/selinux/devel/include/%{moduletype}/%{modulename}.if
%{_bindir}/%{name}-enable
%{_bindir}/%{name}-relabel
%{_mandir}/man8/%{name}-enable.8*
%{_mandir}/man8/%{name}-relabel.8*

%changelog
* Fri Jul 11 2025 Packit <hello@packit.dev> - 1.56-1.20250711194041590476.main.9.g3394c6f72
- backend: Stop using deprecated %py3_build/%py3_install macros (Miroslav Suchý)
- remove el7 condition (Miroslav Suchý)
- python-copr: Stop using deprecated %py3_build/%py3_install macros (Miroslav Suchý)
- python-copr: remove rhel7 conditions and remove python2 support (Miroslav Suchý)
- backend: drop the 'Z' suffix from timestamp (Pavel Raiskup)
- Switch RPM upload to the synchronous API from pulp_rpm (Dennis Kliban)
- doc: update documentation for builder images to use image-buidler and bootc (Jakub Kadlcik)
- backend: fix false-positive failures for build deletion (Jakub Kadlcik)
- backend: fix ftbfs for deepcopy not able to handle itertools.count (Jiri Kyjovsky)
- Automatic commit of package [copr-backend] release [2.6-1]. (Jakub Kadlcik)
- Set pulp_labels at RPM upload time. (Dennis Kliban)
- Wait on add_and_remove task to finish (Dennis Kliban)
- Switches PulpStorage to using the synchronous RPM upload API (Dennis Kliban)
- frontend: after edit, redirect to the package (Jakub Kadlcik)
- Specify charset in lighttpd mimetypes (Mattia Verga)
- doc: stop using deprecated get_html_theme_path funciton (Jakub Kadlcik)
- frontend: disable network when crearing a new fedora review project (Jakub Kadlcik)
- frontend: hide excessive CoprDirs under a details tag (Jakub Kadlcik)
- backend: make PULP work more verbose in logs (Pavel Raiskup)
- backend: fix waiting for Pulp copr_base repository (Jakub Kadlcik)
- Create one repository version and publication per chroot (Dennis Kliban)
- remove license classifier (Miroslav Suchý)
- common: modernize specfile using pyproject macro (Miroslav Suchý)
- backend: use real condition as assert can be removed in compiled code (Miroslav Suchý)
- backend: optimize copr_log_hitcounter for memory (Miroslav Suchý)
- backend: optimize copr_log_hitcounter for memory (Miroslav Suchý)
- Automatic commit of package [copr-backend] release [2.5-1]. (Jakub Kadlcik)
- backend: pulp in production and STG uses a bit different URLs (Jakub Kadlcik)
- Correct typo in main.py (rxguy)
- backend: add script to migrate pulp.json to Pulp labels (Jakub Kadlcik)
- backend: add function to get pulp object based on its href (Jakub Kadlcik)
- Update user_documentation.rst (Luiz Miguel)
- backend: strip leading zeros from the build ID (Jakub Kadlcik)
- backend: pass build ID to upload_build_results (Jakub Kadlcik)
- frontend: fix local builds in Pulp projects (Jakub Kadlcik)
- backend: more log "checkpoints" for build worker (Pavel Raiskup)
- backend: fix typo in dkilban's name, sorry (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [2.4-1]. (Pavel Raiskup)
- Uses build_id to find packages for removal (Dennis Kliban)
- Adds build_id pulp_label to RPMs uploaded to Pulp. (Dennis Kliban)
- rpmbuild: deduplicate two methods (Pavel Raiskup)
- Use ThreadPoolExecutor to parallelize RPM uploads to Pulp. (Dennis Kliban)
- docs: drop pulp playbooks from RPM releasing manual (Jiri Kyjovsky)
- Add AlmaLinux logo (Jonathan Wright)
- Update centos logo (Jonathan Wright)
- frontend: fix one pagure-events' traceback (Pavel Raiskup)
- frontend: use the new BeautifulSoup find_all() method (Pavel Raiskup)
- frontend: drop the duplicit session.commit() call (Pavel Raiskup)
- frontend: fix autoflushing warnings, take #2 (Pavel Raiskup)
- frontend: models_committed has been moved in sqlalchemy (Pavel Raiskup)
- frontend: fix SAWarnings about autoflush (Jiri Kyjovsky)
- rpmbuild: make sure we use the latest dist-git-client (Pavel Raiskup)
- backend: drop the novaclient dependency (Pavel Raiskup)
- releng: release clients into all EPEL chroots (Pavel Raiskup)
- frontend: fix typo in logging message (Pavel Raiskup)
- frontend: pagure-events fail for "dots" in copr.name (Pavel Raiskup)
- doc: add release notes for copr update (Jiri Kyjovsky)
- frontend: treat malformed task_id in backend_general (Jiri Kyjovsky)
- frontend: log the user who removes a project (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [2.3-1]. (Pavel Raiskup)
- backend: lighttpd-filesystem provides group(lighttpd) on F42+ (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [2.2-1]. (Pavel Raiskup)
- Add sysusers.d config file to allow rpm to create users/groups automatically (Miroslav Suchý)
- Automatic commit of package [copr-messaging] release [1.1-1]. (Pavel Raiskup)
- messaging: fix FTBFS caused by sphinx config (Pavel Raiskup)
- Automatic commit of package [copr-keygen] release [2.1-1]. (Pavel Raiskup)
- Automatic commit of package [copr-dist-git] release [1.1-1]. (Pavel Raiskup)
- Automatic commit of package [copr-rpmbuild] release [1.3-1]. (Pavel Raiskup)
- Automatic commit of package [python-copr] release [2.1-1]. (Pavel Raiskup)
- Automatic commit of package [copr-cli] release [2.1-1]. (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [2.2-1]. (Pavel Raiskup)

* Tue Mar 25 2025 Pavel Raiskup <praiskup@redhat.com> 1.56-1
- unify bindir and sbindir

* Tue Jan 24 2023 Jakub Kadlcik <frostyx@email.cz> 1.55-1
- Use spdx license

* Wed Nov 30 2022 Pavel Raiskup <praiskup@redhat.com> 1.54-1
- new package built with tito
- httpd_t on copr-frontend has the rights to link copr_data_t files (uploaded stuff)

* Mon Feb 11 2019 Jakub Kadlčík <frostyx@email.cz> 1.53-1
- Add more rules for keygen (follow-up to 4f689743)

* Tue Jan 15 2019 Miroslav Suchý <msuchy@redhat.com> 1.52-1
- allow signd to write to socket

* Fri Oct 19 2018 Miroslav Suchý <msuchy@redhat.com> 1.51-1
- do the relabel in %%posttrans
- use git_dir_archive instead of git_dir_pack
- allow frontend's apache to ioctl uploaded tarballs
- packaging: Python 2/3, RHEL/Fedora fixes

* Tue Aug 07 2018 clime <clime@redhat.com> 1.50-1
- fix distro condition for policycoreutils-python

* Mon Aug 06 2018 clime <clime@redhat.com> 1.49-1
- rpkg deployment into COPR

* Fri Feb 23 2018 clime <clime@redhat.com> 1.48-1
- remove Group tag

* Mon Dec 18 2017 Dominik Turecek <dturecek@redhat.com> 1.47-1
- wrap map permission in an optional block

* Wed Apr 19 2017 clime <clime@redhat.com> 1.46-1
- add perl as build dependency

* Wed Apr 19 2017 clime <clime@redhat.com> 1.45-1
- replace fedorahosted links

* Wed Aug 03 2016 Miroslav Suchý 1.44-1
- restore context of only those files, which context changed

* Fri Jul 01 2016 clime <clime@redhat.com> 1.43-1
- Revert "add selinux rule for cgit"

* Wed Jun 29 2016 Miroslav Suchý <msuchy@redhat.com> 1.42-1
- add selinux rule for cgit

* Sat Jun 04 2016 Miroslav Suchý <miroslav@suchy.cz> 1.41-1
- adjust selinux policy generation for separated log file paths

* Sun May 29 2016 Pete Travis <me@petetravis.com> - 1.40-2
- separate log file paths for backend and frontend

* Mon Mar 14 2016 Miroslav Suchý <miroslav@suchy.cz> 1.40-1
- add missing types to requires section

* Fri Feb 12 2016 Miroslav Suchý <msuchy@redhat.com> 1.39-1
- allow copr-dist-git to read dist-git

* Wed Feb 03 2016 Miroslav Suchý <msuchy@redhat.com> 1.38-1
- add rules for dist-git and keygen

* Mon Jul 27 2015 Miroslav Suchý <msuchy@redhat.com> 1.37-1
- 1246610 - depend on policycoreutils-python-utils

* Thu Mar 05 2015 Valentin Gologuzov <vgologuz@redhat.com> 1.36-1
- [selinux] allow httpd_t to write into /var/log/copr/

* Wed Oct 22 2014 Miroslav Suchý <msuchy@redhat.com> 1.35-1
- remove old changelogs

* Mon Oct 20 2014 Miroslav Suchý <msuchy@redhat.com> 1.34-1
- 1077795 - co-own /usr/share/selinux/mls

* Tue Oct 14 2014 Miroslav Suchý <msuchy@redhat.com> 1.33-1
- 1077795 - use macro for /usr/share/

* Mon Oct 13 2014 Miroslav Suchý <msuchy@redhat.com> 1.32-1
- 1077795 - spec cleanup

* Wed May 21 2014 Miroslav Suchý <msuchy@redhat.com> 1.31-1
- follow selinux packaging draft

* Tue Mar 18 2014 Miroslav Suchý <msuchy@redhat.com> 1.30-1
- finish move selinux into separate package
